return {
	{
		"nvim-neorg/neorg",
		lazy = false,
		build = ":Neorg sync-parsers",
		dependencies = { "nvim-lua/plenary.nvim" },
		config = function()
			require("neorg").setup {
				load = {
					["core.defaults"] = {}, -- Loads default behaviour
					["core.concealer"] = {}, -- Adds pretty icons to your documents
					["core.dirman"] = { -- Manages Neorg workspaces
						config = {
							workspaces = {
								-- NOTE: This is the server branch, note taking here should not
								-- be needed. Also, my server does not have a synchronisation
								-- to nextcloud set up, so I don't have access to my Neorg 
								-- notes regardless.
							},
						},
					},
				},
			}
		end,
	},
}
